
Redmine - Defect #8064

Text custom fields do not wrap on the issue list

2011-04-05 06:11 - Pierce Morton

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

In issue listings, Subject lines have a special wrap applied to them.  This allows long title lines to wrap and not extend the table out.

However, freetext custom fields lack this when used as a column in an issue listing.  Freetext fields with long content will stretch the

entire listing horizontally, hiding content from view.

About your application's environment

Ruby version              1.8.7 (i386-mingw32)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          c:/redmine_entchan

Environment               production

Database adapter          mysql

Database schema version   20100819172912

Associated revisions

Revision 5332 - 2011-04-06 00:18 - Jean-Philippe Lang

Wrap text custom fields in the issue list (#8064).

History

#1 - 2011-04-05 06:13 - Pierce Morton

Also note that this cannot be seen in IE, due to a bug in that browser preventing the nowrap property being inherited in the first place.

#2 - 2011-04-06 00:19 - Jean-Philippe Lang

- Category changed from Custom fields to UI

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5332.

#3 - 2011-04-06 00:20 - Jean-Philippe Lang

- Subject changed from Issue lines fail to include wrap property on custom field TDs, inducing massive page stretch to Text custom fields do not wrap

on the issue list
